Access

List API keys owned by an instance member for administration/offboarding

GET
/api/access/members/{userId}/api-keys

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

userId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
keys*array<>
Example Request
curl -X GET 'https://postdot.example/api/access/members/string/api-keys'
Example Response
{
  "keys": [
    {
      "id": "string",
      "name": "string",
      "tokenPrefix": "string",
      "projectAccess": "all",
      "actionAccess": "all",
      "expiresAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?